export interface RouteInformation {
    name?: string;
    path?: string;
    page?: string;
}
/**
 * Returns an array of routes which conflict on their defined names
 */
export declare function getDuplicateRoutes(): RouteInformation[];
/**
 * Detects any potential duplicate routes and returns a formatted warning message
 * @see {@link getDuplicateRoutes} for how duplicate routes are detected
 * @return {string} Warning message when duplicate routes found, empty string if not
 */
export declare function warningForDuplicateRoutes(): string;
//# sourceMappingURL=routes.d.ts.map